Rechtliche Fragen zu Template

  • Rechtliche Frage zu Joomla Templates.


    Ich habe jetzt lange genug experimentiert um Fehlermeldungen meiner Seite zu beseitigen, doch ohne sichtbaren Erfolg, denn mit PHP3 oder 4 werden offensichtlich Funktionen von Artisteer nicht mehr richtig ausgeführt.


    Ich weis jedoch jetzt, das diese Fehler vom diesem Template herrühren, welches ich mir vor einigen Jahren mit Artisteer zusammengeklickt habe. Ich habe nur Probeweise mal eines der beiden Template als Standard gesetzt und die Fehlermeldungen waren weg.


    Im Laufe der Zeit habe ich mir nun auch einige Kenntnisse im Umgang mit HTML und CSS angeeignet. Nun möchte ich jedoch das Rad nicht neu erfinden und mir eines der beiden Beispiel Templates welche von Joomla mit ausgeliefert werden so gestalten, das diese meiner derzeitigen Seite ähneln.


    Darf ich das ohne jemanden auf die Füße zu treten, oder irgendwelche Rechte zu verletzen und was habe ich dabei zu beachten.


    Gruß Herbert63

  • Ich habe jetzt lange genug experimentiert um Fehlermeldungen meiner Seite zu beseitigen, doch ohne sichtbaren Erfolg, denn mit PHP3 oder 4 werden offensichtlich Funktionen von Artisteer nicht mehr richtig ausgeführt.

    Und wenn du die Seite ganz neu machst mit Joomla 3.9.26 oder bereits mit Joomla 4, dann empfiehlt sich PHP 7.4 dafür zu verwenden!

  • Nun möchte ich jedoch das Rad nicht neu erfinden und mir eines der beiden Beispiel Templates welche von Joomla mit ausgeliefert werden so gestalten, das diese meiner derzeitigen Seite ähneln.


    Vielleicht noch als Tipp dazu:



  • Hallo,


    herzlichen Dank für Eure Hinweise. Habe auch schon etwas mit den beiden Joomla eigenen Templates local probiert. Das ich für Änderungen an einem Template eine Kopie erstellen muss wusste ich bereits aus einem Schulungsvideo welches ich mir vor Jahren von Gallileo Computing mal gekauft hatte. Darin ging es noch um Joomla 1.6 und 1.7, worin noch viele Dinge beschrieben sind ,die auch heute noch Gültigkeit haben.


    Gruß Herbert63

  • Hallo,


    natürlich hat sich im Laufe der nachfolgenden Versionen gegenüber der Version 1.7 sehr viel geändert.

    Ich hatte mir auch nur dieses Video rein gezogen, um doch einige Erläuterungen besser nachvollziehen zu können. Auf meinem Mac funktioniert dieses Video schon lang nicht mehr.


    Habe jetzt auch versucht das Joomla4 local auf dem Win Rechner zu installieren, auf dem ich auch meine virtuelle Umgebung (Xapp)habe, da ich sehr gespannt bin auf das Aussehen und den Funktionen. Leider hat das nicht so geklappt, da ich beim den Einträgen für die Datenbank immer eine Fehlermeldung erhalte, das der Username nicht korrekt ist.

    Werde es aber zu einem späteren Zeitpunkt noch mal in Ruhe angehen. :)


    Gruß Herbert

  • Habe jetzt auch versucht das Joomla4 local auf dem Win Rechner zu installieren, auf dem ich auch meine virtuelle Umgebung (Xapp)habe, da ich sehr gespannt bin auf das Aussehen und den Funktionen. Leider hat das nicht so geklappt, da ich beim den Einträgen für die Datenbank immer eine Fehlermeldung erhalte, das der Username nicht korrekt ist.

    Bei Verwendung von Xampp weichen die Daten für den Datenbankzugang etwas ab, im Vergleich zu einem Hoster.

    - Server: localhost

    - User: root

    - Passwort: Einfach leer lassen, es sei denn, du hast in Xampp ein Passwort für die Datenbak eingerichtet. Standardmäßig setzt Xampp kein Passwort

    - Datenbank: Wird eigentlich in Xampp automatisch angelegt, sobald du hier etwas einträgst. Kannst die Datenbank aber auch vorher anlegen und dann dort einfach eintragen

  • localhost ist ja bereits eingetragen, jedoch "root " wird nicht akzeptiert. Habe aber gerade hier ein Update auf Joomla 4 runtergeladen und werde meine Version 3.9.27 damit mal überspielen. Das sollte auf jeden Fall gehen.

    Schau doch mal, was du in der 3.9.27 in deiner lokalen Installation statt "root" eingetragen hast!


    Joomla 4 am besten parallel zu deiner 3.9.27 installieren!

    Ansonsten ist die 3.9.27 weg.

    Und die 3.9.27 über 3.10 auf 4 zu aktualisieren geht momentan noch nicht so ohne Weiteres aufgrund der Erweiterungen, die man meist installiert hat.


    Joomla 4 Beta 7: https://github.com/joomla/joom…/releases/tag/4.0.0-beta7

    Joomla 4 Beta 8 dev: https://developer.joomla.org/nightly-builds.html

    Dt. Sprachpaket: https://github.com/joomlagerma…eleases/tag/4.0.0v1-beta7

  • Hallo,

    danke für deinen Hinweis und die Links. Die Version 3.10 hatte ich vollkommen übersehen. Da ist eine Neuinstallation von Joomla4 angebrachter.

    Nun hatte ich beim Versuch Joomla 4 local zu installieren schon die Daten die Daten von Joomla3X verwendet, bis auf den Datenbanknamen, der logischerweise ja ein anderer sein muss.

    Werde es natürlich nochmal probieren.


    Gruß Herbert

  • Hallo,

    habe es nun auch hinbekommen, mal die Betaversion local zu installieren. Erster Eindruck... alles sehr aufgeräumt und gewöhnungsbedürftig. Das Template Cassiopeia ist klasse gemacht und bietet viele Möglichkeiten.

    Doch erst mal will ich mein Template hinbekommen.


    Gruß Herbert